<?php get_header(); ?>

<!-- BEGIN home -->
<div id="home">
<!-- BEGIN featured -->
<div id="featured">
	<h2>Featured News</h2>
	<?php 
	$temp_query = $wp_query; 
	query_posts(array('post__in'=>array(dp_settings('featured'))));
	if (have_posts()) : the_post();
	?>
	<div class="content">
	<?php dp_attachment_image(0, 'thumbnail', 'alt="' . $post->post_title . '"'); ?>
	<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
	<p class="date"><?php the_time('l, F j, Y') ?></p>			
	<?php ob_start(); the_content(''); echo str_replace("\n", '<br/><br/>', (dp_clean(ob_get_clean(), 700))); ?>	
	</div>
	<div class="details">
	<a href="#" class="readmore">Read More &raquo;</a>
	<p class="r">Filed Under: <a href="#">Technology</a> <span class="comments"><a href="#">3 Comments</a></span></p>
	</div>
	<?php endif; ?>
</div>
<!-- END featured -->
<!-- BEGIN popular -->
<div id="popular">
	<h2>Popular Articles</h2>
	<ul>
	<?php dp_popular_posts(7); ?>
	</ul>
</div><div class="break"></div>
<!-- END popular -->
</div>
<!-- END home -->
<!-- BEGIN content -->
<div id="content">
<?php
$wp_query = $temp_query;
if (have_posts()) :
while (have_posts()) : the_post(); 
$arc_year = get_the_time('Y');
$arc_month = get_the_time('m');
$arc_day = get_the_time('d');
?>
<!-- begin post -->
<div class="post">
	<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
	<p class="date"><?php the_time('l, F j, Y') ?></p>
	<?php dp_attachment_image(0, 'thumbnail', 'alt="'.$post->post_title.'"'); ?>
	<?php the_excerpt(); ?>
	<p class="details">
	<span class="comments"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
	<a class="readmore" href="<?php the_permalink(); ?>">Read full story &raquo;</a>
	</p>
</div>
<!-- end post -->
<?php endwhile; ?>
<p id="postnav">
	<?php next_posts_link('&laquo; Older Entries'); ?> &nbsp; 
	<?php previous_posts_link('Newer Entries &raquo;'); ?>
</p>
<?php else : ?>
<div class="notfound">
	<h2>Not Found</h2>
	<p>Sorry, but you are looking for something that is not here.</p>
	</div>
<?php endif; ?>
</div>
<!-- END content -->

<?php get_sidebar(); get_footer(); ?>
